import { AxiosRequestConfig } from "axios";
import { AxiosApiResponse, ErrorType } from "../types/types";
declare const useAxios: <ApiResponse = AxiosApiResponse>(url: string, dependencies?: any[], options?: AxiosRequestConfig) => {
    data: ApiResponse | null;
    loading: boolean;
    refetching: () => void;
    error: ErrorType | null;
    reset: () => void;
};
declare const useAxiosFn: <ApiResponse>(url: string, options: AxiosRequestConfig, dependencies?: any[]) => {
    data: ApiResponse | null;
    loading: boolean;
    refetching: () => void;
    error: ErrorType | null;
    execute: () => Promise<void>;
    reset: () => void;
};
export { useAxios, useAxiosFn };
